package com.zulutrade.sample.binaryoptions.trading.client.configuration;

/**
 * ZuluTradeAuthenticationInfo, Holder of the user's zulu credentials
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
*/
public class ZuluTradeAuthenticationInfo {
	
	/**
	 * zulu account username
	 */
	private final String zuluAccountUsername;
	
	/**
	 * zulu account password
	 */
	private final String zuluAccountPassword;
	
	
	/**
	 * 
	 * @param zuluAccountUsername zulu account username
	 * @param zuluAccountPassword zulu account password
	 */
	public ZuluTradeAuthenticationInfo(String zuluAccountUsername, String zuluAccountPassword){
		this.zuluAccountUsername = zuluAccountUsername;
		this.zuluAccountPassword = zuluAccountPassword;
	}
	
	/**
	 * 
	 * @return zulu account username
	 */
	public String getZuluAccountUsername(){
		return this.zuluAccountUsername;
	}
	
	/**
	 * 
	 * @return zulu account password
	 */
	public String getZuluAccountPassword(){
		return this.zuluAccountPassword;
	}
	
}
