package com.zulutrade.sample.binaryoptions.trading.client.json;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonParseException;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;

/**
 * ZuluJsonSerializer, contains a method to serialize an object to String and another one to deserialize a string to an object 
 * 
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
*/
public class ZuluJsonSerializer {
	
	public static String jsonSerialize(Object input) throws JsonProcessingException{
		String output = null; 
		if(input!=null){
			if(input!=null){
				ObjectMapper om = new ObjectMapper(); 
				output = om.writeValueAsString(input);
			}			
		}
		return output; 
	}
	
	public static <T> T jsonDeserialize(String input, Class<T> responseClass) throws JsonParseException, JsonMappingException, IOException{
		T output = null;
		if(input!=null){		
			ObjectMapper om = new ObjectMapper(); 
			output = om.readValue(input, responseClass);		
		}
		return output; 
	}
	
}
