package com.zulutrade.sample.binaryoptions.trading.client.trading;

import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * RestClientError, a list of errors we may get when we try to use a ZuluTrade Restful service
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
*/
public class RestClientError {

	public static final TradingError REST_CLIENT_DEFAULT_ERROR = new TradingError(-1, "Rest Client Error While Sending Request to ZuluTrade");
	public static final TradingError CONNECTION_ERROR = new TradingError(-2, "Connection Refused");
	public static final TradingError UNAVAILABLE_RESOURCE_ERROR = new TradingError(-3, "Resource Unavailable");
	public static final TradingError AUTHENTICATION_ERROR = new TradingError(-4, "Authentication Error"); 
	public static final TradingError AUTHORIZATION_ERROR = new TradingError(-5, "Authorization Error");
	public static final TradingError RESPONSE_DESERIALIZATION_ERROR = new TradingError(-6, "Unparsable Zulutrade Response");
	public static final TradingError HTTP_BODY_SERIALIZATION_ERROR = new TradingError(-7, "Error on Http Body Serialization");

}
